alliance
GET
/analysis/tournaments/{tournamentKey}/alliance
const url = 'https://api.lovat.cjcameron.com/v2/analysis/tournaments/example/alliance?teams=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.lovat.cjcameron.com/v2/analysis/tournaments/example/alliance?teams=example' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tournamentKey
required
string
Query Parameters
Section titled “Query Parameters”teams
required
Three team numbers, e.g. 254,1678,973
string
sources
Sources rule as JSON
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
tournamentKey
required
string
teams
required
Array<object>
object
teamNumber
required
integer
metrics
required
breakdowns
required
Array<object>
object
key
required
string
reports
required
integer
options
required
Array<object>
object
value
required
string
share
required
number
Example generated
{ "tournamentKey": "example", "expectedScore": 1, "teams": [ { "teamNumber": 1, "mainRole": "example", "metrics": [ { "key": "example", "value": 1, "n": 1, "reports": 1, "asked": 1, "mean": 1, "sd": 1, "min": 1, "max": 1 } ], "breakdowns": [ { "key": "example", "reports": 1, "options": [ { "value": "example", "share": 1 } ] } ] } ]}